sock.h File Reference

Socket abstraction API. More...

## Typedefs

typedef int | sock_t

## Functions

void | sock_initialize (void)
void | sock_shutdown (void)
int | sock_error (void)
sock_t | sock_connect (const char *host, unsigned short port)
int | sock_close (sock_t sock)
int | sock_set_blocking (sock_t sock)
int | sock_set_nonblocking (sock_t sock)
int | sock_read (sock_t sock, void *buff, size_t len)
int | sock_write (sock_t sock, const void *buff, size_t len)
int | sock_is_recoverable (int error)
int | sock_connect_error (sock_t sock)
int | sock_set_keepalive (sock_t sock, int timeout, int interval)

## Detailed Description

Socket abstraction API.

## Typedef Documentation

## sock_t

typedef int sock_t

## Function Documentation

## sock_initialize()

void sock_initialize | ( | void |  | ) |

## sock_shutdown()

void sock_shutdown | ( | void |  | ) |

## sock_error()

int sock_error | ( | void |  | ) |

## sock_connect()

sock_t sock_connect | ( | const char * | host,
|  | unsigned short | port
| ) |  |

## sock_close()

int sock_close | ( | sock_t | sock | ) |

## sock_set_blocking()

int sock_set_blocking | ( | sock_t | sock | ) |

## sock_set_nonblocking()

int sock_set_nonblocking | ( | sock_t | sock | ) |

## sock_read()

int sock_read | ( | sock_t | sock,
|  | void * | buff,
|  | size_t | len
| ) |  |

## sock_write()

int sock_write | ( | sock_t | sock,
|  | const void * | buff,
|  | size_t | len
| ) |  |

## sock_is_recoverable()

int sock_is_recoverable | ( | int | error | ) |

## sock_connect_error()

int sock_connect_error | ( | sock_t | sock | ) |

## sock_set_keepalive()

int sock_set_keepalive | ( | sock_t | sock,
|  | int | timeout,
|  | int | interval
| ) |  |